package nsdb.LocationPackage;
public class LocOperatorHelper
{
	private static org.omg.CORBA.TypeCode _type = org.omg.CORBA.ORB.init().create_struct_tc(id(),"LocOperator",new org.omg.CORBA.StructMember[]{new org.omg.CORBA.StructMember("op",org.omg.CORBA.ORB.init().create_string_tc(0),null),new org.omg.CORBA.StructMember("childIds",org.omg.CORBA.ORB.init().create_alias_tc( id(),"IdList",org.omg.CORBA.ORB.init().create_sequence_tc(0, org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.from_int(3)))),null)});
	public LocOperatorHelper ()
	{
	}
	public static void insert(org.omg.CORBA.Any any, nsdb.LocationPackage.LocOperator s)
	{
		any.type(type());
		write( any.create_output_stream(),s);
	}
	public static nsdb.LocationPackage.LocOperator extract(org.omg.CORBA.Any any)
	{
		return read(any.create_input_stream());
	}
	public static org.omg.CORBA.TypeCode type()
	{
		return _type;
	}
	public String get_id()
	{
		return id();
	}
	public org.omg.CORBA.TypeCode get_type()
	{
		return type();
	}
	public void write_Object(org.omg.CORBA.portable.OutputStream out, java.lang.Object obj)
	{
		 throw new RuntimeException(" not implemented");
	}
	public java.lang.Object read_Object(org.omg.CORBA.portable.InputStream in)
	{
		 throw new RuntimeException(" not implemented");
	}
	public static String id()
	{
		return "IDL:nsdb/Location/LocOperator:1.0";
	}
	public static nsdb.LocationPackage.LocOperator read(org.omg.CORBA.portable.InputStream in)
	{
		nsdb.LocationPackage.LocOperator result = new nsdb.LocationPackage.LocOperator();
		result.op=in.read_string();
		result.childIds = nsdb.LocationPackage.IdListHelper.read(in);
		return result;
	}
	public static void write(org.omg.CORBA.portable.OutputStream out, nsdb.LocationPackage.LocOperator s)
	{
out.write_string(s.op);
nsdb.LocationPackage.IdListHelper.write(out,s.childIds);
	}
}
